Method: selection.v1.projects.selectedRoutes.batchDelete

Deletes multiple SelectedRoute resources for the specified project.

HTTP request

POST https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes:batchDelete

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project resource shared by all selected routes to delete. It's required because the batch request supports only a single parent. Format: projects/{project}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ]
}
Fields
names[]

string

Required. The names of the selected routes to delete. A maximum of 1,000 selected routes can be deleted in a batch. Format: projects/{project}/selectedRoutes/{selectedRoute}

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the parent resource:

  • roads.selectedRoutes.batchDelete

For more information, see the IAM documentation.